Properties Methods Events Config Options Direct Link

# Class Ext.data.Request

Package: | Ext.data
Defined In: | Request.js
Class: | Request
Extends: | Object

A simple Request class used internally to the data package to provide more generalized remote-requests to a DataProxy. TODO Not yet implemented. Implement in Ext.data.Store#execute

## Config Options

Config Options | Defined By
--- | ---
| action : String | Request
| callback : Function The function to call when request is complete | Request
| params : Object HTTP request params | Request
| reader : Ext.data.DataReader The DataReader instance which will parse the received response | Request
| rs : Ext.data.Record[]/Ext.data.Record The Store recordset associated with the request. | Request
| scope : Object The scope of the callback funtion | Request

## Public Properties

This class has no public properties.

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.